import type { JSX } from '../../stencil-public-runtime';
import type { AcceptPropType, DisabledPropType, FocusableElement, HideLabelPropType, HideMsgPropType, HintPropType, IconsHorizontalPropType, InputFileAPI, InputFileStates, InputTypeOnDefault, InternalButtonProps, KolFocusOptions, LabelWithExpertSlotPropType, MsgPropType, MultiplePropType, NamePropType, RequiredPropType, ShortKeyPropType, Stringified, SyncValueBySelectorPropType, TooltipAlignPropType, VariantClassNamePropType } from '../../schema';
export declare class KolInputFile implements InputFileAPI, FocusableElement {
    protected readonly host?: HTMLKolInputFileElement;
    protected readonly ctaRef: import("../../utils/element-interaction").CtaRef<HTMLInputElement>;
    private readonly translateDataBrowseText;
    private readonly translateFilenameText;
    getValue(): Promise<FileList | null | undefined>;
    focus(options?: KolFocusOptions): Promise<void>;
    click(): Promise<void>;
    reset(): Promise<void>;
    private getFormFieldProps;
    private getInputProps;
    render(): JSX.Element;
    private readonly controller;
    _accept?: string;
    _accessKey?: string;
    _disabled?: boolean;
    _hideMsg?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: IconsHorizontalPropType;
    _label: LabelWithExpertSlotPropType;
    _msg?: Stringified<MsgPropType>;
    _multiple?: boolean;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _required?: boolean;
    _shortKey?: ShortKeyPropType;
    _smartButton?: Stringified<InternalButtonProps>;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _variant?: VariantClassNamePropType;
    private filename;
    private hasFileSelected;
    state: InputFileStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccept(value?: AcceptPropType): void;
    validateAccessKey(value?: string): void;
    validateDisabled(value?: DisabledPropType): void;
    validateHideMsg(value?: HideMsgPropType): void;
    validateHideLabel(value?: HideLabelPropType): void;
    validateHint(value?: HintPropType): void;
    validateIcons(value?: IconsHorizontalPropType): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateMultiple(value?: MultiplePropType): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateRequired(value?: RequiredPropType): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateSmartButton(value?: InternalButtonProps | string): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTouched(value?: boolean): void;
    validateVariant(value?: VariantClassNamePropType): void;
    componentWillLoad(): void;
    componentDidLoad(): void;
    private onDragOver;
    private onDragLeave;
    private onDrop;
    private onChange;
    private onInput;
}
